| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client

# Method Protocols.LDAP.client()->get_root_dse_attr()

Method get_root_dse_attr

  `array(string) get_root_dse_attr(string attr)`

Description

  Returns the value of an attribute in the root DSE (DSA-Specific Entry) of the bound server. The result is cached. A working connection is assumed.

Returns

  The return value is an array of the attribute values, which have been UTF-8 decoded where appropriate.

  Don't be destructive on the returned array.

Note

  This function intentionally does not try to simplify the return values for single-valued attributes (c.f. Protocols.LDAP.SEARCH_MULTIVAL_ARRAYS_ONLY ). That since (at least) Microsoft AD has a bunch of attributes in the root DSE that they don't bother to provide schema entries for. The return value format wouldn't be reliable if they suddenly change that.